/*
  Copyright 2021 Kakao Corp.

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 */
package com.kakao.sdk.partner.friend.imageloader

internal const val MIN_DISK_CACHE_SIZE = (5 * 1024 * 1024).toLong() // 5MB
internal const val MAX_DISK_CACHE_SIZE = (50 * 1024 * 1024).toLong() // 50MB

internal const val NO_PLACEHOLDER = 0

internal const val BASE_URL = "https://developers.kakao.com/" // retrofit 객체 생성을 위한 임시 url

internal const val IMAGE_DOWNLOAD_COMPLETE = 1
internal const val IMAGE_DOWNLOAD_FAIL = 2